lkml.org 
[lkml]   [2018]   [Jan]   [22]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
SubjectRe: [PATCH v1 2/4] cpufreq: mediatek: Add mediatek related projects into blacklist
From
Date
Hi, Rafael and Viresh

Can you kindly guide me how to let the patch also be applied to 4.14 and
4.15 tree? Do I need to submit another patches for them?

These trees really need them. Otherwise, multi_v7_defconfig setup will
cause an occasional hang or unexpected behaviors on related boards as
[1] kernelci reported :-(

Sean

[1]
https://kernelci.org/boot/mt7623n-bananapi-bpi-r2/


On Mon, 2017-12-11 at 13:25 +0530, Viresh Kumar wrote:
> On 08-12-17, 14:07, Andrew-sh Cheng wrote:
> > mediatek projects will use mediate-cpufreq.c as cpufreq driver,
> > instead of using cpufreq_dt.c
> > Add mediatek related projects into cpufreq-dt blacklist
> >
> > Signed-off-by: Andrew-sh Cheng <andrew-sh.cheng@mediatek.com>
> > ---
> > drivers/cpufreq/cpufreq-dt-platdev.c | 8 ++++++++
> > 1 file changed, 8 insertions(+)
> >
> > diff --git a/drivers/cpufreq/cpufreq-dt-platdev.c b/drivers/cpufreq/cpufreq-dt-platdev.c
> > index ecc56e2..3b585e4 100644
> > --- a/drivers/cpufreq/cpufreq-dt-platdev.c
> > +++ b/drivers/cpufreq/cpufreq-dt-platdev.c
> > @@ -108,6 +108,14 @@ static const struct of_device_id blacklist[] __initconst = {
> >
> > { .compatible = "marvell,armadaxp", },
> >
> > + { .compatible = "mediatek,mt2701", },
> > + { .compatible = "mediatek,mt2712", },
> > + { .compatible = "mediatek,mt7622", },
> > + { .compatible = "mediatek,mt7623", },
> > + { .compatible = "mediatek,mt817x", },
> > + { .compatible = "mediatek,mt8173", },
> > + { .compatible = "mediatek,mt8176", },
> > +
> > { .compatible = "nvidia,tegra124", },
> >
> > { .compatible = "st,stih407", },
>
> Acked-by: Viresh Kumar <viresh.kumar@linaro.org>
>


\
 
 \ /
  Last update: 2018-01-22 09:40    [W:0.029 / U:16.832 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site